PORT='/dev/cu.usbserial-A702U1AT'
OSC_SERVER='127.0.0.1'
OSC_PORT=8000
START_NOTE=72 # C6
import serial
import OSC 
import time 

ser = serial.Serial(PORT,9600)
ser.setDTR()

osc_cli = OSC.OSCClient()
osc_cli.connect((OSC_SERVER, OSC_PORT))


def send_note(pad,on):
    msg = OSC.OSCMessage()
    msg.setAddress("/tinymidi/1/note")
    msg.append((START_NOTE + int(pad))) #pitch
    msg.append(127.0) # velocity
    msg.append(on) #note on
    osc_cli.send(msg)
 


while True:
    line = ser.readline()
    line=line.strip()
    pad,val = line.split('=')
    print 'pad %d' % int(pad)
    send_note(pad,int(val))
    
